#ifdef __VMS
#include "vms.h"

/* differentiate between purely __VMS code (changes) and wCME code */
#define WCMEIDIOM

/* remove "_" to enable individual debug statements */
#define WCMEDBG_ACCTPROC    /* acctproc.c */
#define WCMEDBG_CERTPROC    /* certproc.c */
#define WCMEDBG_CHNGPROC    /* chngproc.c */
#define WCMEDBG_FILEPROC    /* fileproc.c */
#define WCMEDBG_HTTP        /* http.c */
#define WCMEDBG_KEYPROC     /* keyproc.c */
#define WCMEDBG_NETPROC     /* netproc.c */
#define WCMEDBG_REVOKEPROC  /* revokeproc.c */
#define WCMEDBG_UTIL        /* util.c */
#define WCMEDBG_VMS         /* vms.c */

#define WCME_ROOT "/wcme_root"
#define SSL_DIR "/wcme_root/ssl"
#define SSL_PRIV_DIR "/wcme_root/priv"
#define ETC_DIR "/wcme_root/etc"
#define WWW_DIR "/wcme_root/www"
#define PRIVKEY_FILE "privkey.pem"

#endif /* __VMS */

/*
 * If your system doesn't use "nobody" as a privilege separated user,
 * then change it here or in the GNUmakefile.
 */
#ifndef NOBODY_USER
# define NOBODY_USER "nobody"
#endif

/*
 * You can define this if your system has its /var/empty elsewhere.
 */
/* #define PATH_VAR_EMPTY "/var/empty" */

/*
 * Require libbsd's stdlib.h for arc4random() etc.
 * Require <grp.h> for setgroups().
 */
#ifdef __linux__
# define _GNU_SOURCE
# ifndef MUSL_LIBC
#  include <bsd/stdlib.h>
#  include <bsd/string.h>
# else
#  include <errno.h>
#  include <unistd.h>
#  define getprogname() (program_invocation_short_name)
# endif
# include <grp.h>
#endif

/*
 * Apple and NetBSD haven't got these.
 */
#if defined(__APPLE__) || defined(__NetBSD__)
# include <unistd.h>
int	setresgid(gid_t, gid_t, gid_t);
int	setresuid(gid_t, gid_t, gid_t);
#endif

/*
 * Apple usually gets their libressl from homebrew.
 * It'd be put in here, but let it be overriden.
 */
#if defined(__APPLE__)
# ifndef DEFAULT_CA_FILE
#  define DEFAULT_CA_FILE "/usr/local/etc/libressl/cert.pem"
# endif
#endif

/*
 * FreeBSD goop.
 */
#ifdef __FreeBSD__
#include <sys/socket.h>
#include <sys/types.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#include <resolv.h>
#endif

#if !defined(__BEGIN_DECLS)
#  ifdef __cplusplus
#  define       __BEGIN_DECLS           extern "C" {
#  else
#  define       __BEGIN_DECLS
#  endif
#endif
#if !defined(__END_DECLS)
#  ifdef __cplusplus
#  define       __END_DECLS             }
#  else
#  define       __END_DECLS
#  endif
#endif
