#ifndef VMS_H
#define VMS_H

#include <stdarg.h>
#include <stddef.h>
#include <stdio.h>
#include <types.h>

#define __attribute__(str)
#define socklen_t int
#define SIZE_MAX 4294967295u

/* from [-.wcme]util.h included here for convenience */
void UtilMereMortal ();
char* UtilOds2FileName (char*, char*);
char* UtilOds2CertName (char*, char*);
void UtilSetPrn (char*);
void UtilSysPrv ();

void arglist (char*, char*[]);
int chroot(const char*);
char* exctrl (char*, int);
int fork();
int furk(const char*, const char**);
char* fdid (int);
void fdlist(int, const char*);
char* getprogname();
void* memmem(const void*, size_t, const void*, size_t);
int setgroups (int size, void *gid_t);
int setegid (unsigned int);
char *strsignal (int);
char* strndup(const char*, size_t);
char *tstamp (ulong*);
void vmsdbg (char *fmt, ...);
int pairofsockets (int[]);

void verr (const char *format, va_list ap);
void verrx (const char *format, va_list ap);
void err (int, const char *fmt, ...);
void errx (int, const char *fmt, ...);
void vwarn (const char *format, va_list ap);
void vwarnx (const char *format, va_list ap);
void warn (const char *fmt, ...);
void warnx (const char *fmt, ...);

size_t strlcpy(char *dst, const char *src, size_t siz);
size_t strlcat(char *dst, const char *src, size_t siz);

void freezero (void*, int);

int getline(char **buf, size_t *bufsiz, FILE *fp);

#endif /* VMS_H */
