$!-----------------------------------------------------------------------------
$! BUILD_LIBTLS.COM
$!
$! https://github.com/libressl-portable/openbsd/tree/master/src/lib/libtls
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 23-APR-2017  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ on controly then exit 44
$!
$ write sys$output ""
$ write sys$output "Building ""LIBTLS""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ arch_name = f$edit(f$getsyi("arch_name"),"upcase")
$ if arch_name .eqs. "ALPHA" then arch_name = "AXP"
$!
$ p1 = f$edit(p1,"upcase")
$!
$ defines = "/define=(__VMS_VER=70000000,__CRTL_VER=70000000)"
$ includes = " /include=(openssl:,[])"
$ warnings=  " /warning=(disable=(preoptw,implicitfunc,addrconstext," +-
             "unknownpragma,longextern))"
$!
$ cc_options = "/decc /optimize /float=ieee /ieee=denorm " +-
               "/stand=relaxed_ansi /prefix=all" +-
               includes + defines + warnings
$!
$ if p1 .eqs. "LIST"
$ then
$    cc_options = cc_options + "/list/machine"
$    p1 = ""
$ endif
$!
$ if f$search("obj_''arch_name'.dir") .eqs. "" -
     then create /dir [.obj_'arch_name']
$ object_dir = "[.obj_''arch_name']"
$!
$ if p1 .eqs. "" .or. p1 .eqs. "BUILD" .or. p1 .eqs. "COMPILE"
$ then
$    set noon
$    set verify
$    cc 'cc_options' /nodebug/object='object_dir' tls
$    cc 'cc_options' /nodebug/object='object_dir' tls_bio_cb
$    cc 'cc_options' /nodebug/object='object_dir' tls_client
$    cc 'cc_options' /nodebug/object='object_dir' tls_config
$    cc 'cc_options' /nodebug/object='object_dir' tls_conninfo
$    cc 'cc_options' /nodebug/object='object_dir' tls_header
$    cc 'cc_options' /nodebug/object='object_dir' tls_ocsp
$    cc 'cc_options' /nodebug/object='object_dir' tls_peer
$    cc 'cc_options' /nodebug/object='object_dir' tls_server
$    cc 'cc_options' /nodebug/object='object_dir' tls_util
$    cc 'cc_options' /nodebug/object='object_dir' tls_verify
$!   'f$verify(0)
$    set on
$ endif
$!
$ purge /nolog 'object_dir'
$!
$!-----------------------------------------------------------------------------
